---
baseURL: https://thegeeklab.de/
title: the Geeklab
theme: hugo-geekblog
pygmentsUseClasses: true
pygmentsCodeFences: true
enableGitInfo: true

paginate: 5

markup:
  goldmark:
    renderer:
      unsafe: true
  tableOfContents:
    startLevel: 1
    endLevel: 9

taxonomies:
  author: authors
  tag: tags

mediaTypes:
  "application/atom+xml":
    suffixes:
      - "xml"

outputFormats:
  Atom:
    name: "Atom"
    mediaType: "application/atom+xml"
    baseName: "atom"
    isPlainText: false
    rel: "alternate"
    isHTML: false
    noUgly: true
    permalinkable: false
  Json:
    name: "Json"
    mediaType: "application/json"
    baseName: "feed"
    isPlainText: false
    rel: "alternate"
    isHTML: false
    noUgly: true
    permalinkable: false

outputs:
  home:
    - HTML
    - ATOM
    - JSON
  page:
    - HTML
  section:
    - HTML
  taxonomy:
    - HTML
  term:
    - HTML
    - ATOM
    - JSON

privacy:
  disqus:
    disable: true
  googleAnalytics:
    disable: true
  instagram:
    disable: true
  twitter:
    disable: true
  vimeo:
    disable: true
  youtube:
    disable: true

enableRobotsTXT: true

params:
  description: >
    Hi, I am Robert. On thegeeklab.de I am writing about everything that comes to my mind
    but mainly about topics from the Linux and Open Source world.
  subtitle: Linux and Open Source blog
  images:
    - "thegeeklab_avatar.png"

  geekblogToC: 3
  geekblogAuthor: robert-kaussow

  geekblogLegalNotice: legal-notice/#contact-information
  geekblogPrivacyPolicy: legal-notice/#privacy-policy

  geekblogContentLicense:
    name: CC BY-SA 4.0
    link: https://creativecommons.org/licenses/by-sa/4.0/
